Home

# Class goog.proto2.LazyDeserializer

Base class for all lazy deserializers.

extends goog.proto2.Serializer

Instance Method Summary
| `deserialize(?goog.proto2.Descriptor descriptor, <Any Type> data) ⇒ ?goog.proto2.Message` Deserializes a message from the expected format.
| `deserializeField(?goog.proto2.Message message, ?goog.proto2.FieldDescriptor field, <Any Type> data) ⇒ <Any Type>` Deserializes a message field from the expected format and places the data in the given message
| `deserializeTo(?goog.proto2.Message message, <Any Type> data)` Deserializes a message from the expected format and places the data in the message.